at.chipkarte.client.elgaad.soap

## Class AssociationsObject

- Object
- - at.chipkarte.client.elgaad.soap.AssociationsObject

-     public class AssociationsObject
      extends Object

  Relation eines Dokuments.
  Das Objekt wird bei Befundabfragen rückgeliefert. Hinweis: Relationen können Dokumente referenzieren, die nicht in der Suche gefunden wurden.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssociationsObject()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAssociationType()` Art der Relation der Dokumente zueinander.
    `String` | `getSourceObject()` Retourniertes Dokument, das in Relation zu einem anderen Dokument steht.
    `String` | `getTargetObject()` In Relation zu retourniertem Dokument stehendes Dokument.
    `void` | `setAssociationType(String associationType)`
    `void` | `setSourceObject(String sourceObject)`
    `void` | `setTargetObject(String targetObject)`
    `String` | `toString()`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AssociationsObject

          public AssociationsObject()

  - ### Method Detail

    - #### getAssociationType

          public String getAssociationType()

      Art der Relation der Dokumente zueinander.
      Returns:
        Relationsbeschreibung

    - #### setAssociationType

          public void setAssociationType(String associationType)

    - #### getSourceObject

          public String getSourceObject()

      Retourniertes Dokument, das in Relation zu einem anderen Dokument steht. (sourceObject AssociationType targetObject)
      Returns:
        SourceObject

    - #### setSourceObject

          public void setSourceObject(String sourceObject)

    - #### getTargetObject

          public String getTargetObject()

      In Relation zu retourniertem Dokument stehendes Dokument. (sourceObject AssociationType targetObject)
      Returns:
        TargetObject

    - #### setTargetObject

          public void setTargetObject(String targetObject)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`